summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMiroslav Šulc <fordfrog@gentoo.org>2020-02-10 00:33:46 +0100
committerMiroslav Šulc <fordfrog@gentoo.org>2020-02-10 00:33:46 +0100
commit91e6fa30f4bcd1278c5423b370f42d0b3700df4e (patch)
tree0c8d12ab7a2c77a7c221b07a32902f9c52aec41e /www-servers/tomcat
parentdev-java/tomcat-servlet-api: bump to 7.0.99 (diff)
downloadgentoo-91e6fa30f4bcd1278c5423b370f42d0b3700df4e.tar.gz
gentoo-91e6fa30f4bcd1278c5423b370f42d0b3700df4e.tar.bz2
gentoo-91e6fa30f4bcd1278c5423b370f42d0b3700df4e.zip
www-servers/tomcat: bump to 7.0.99 + eapi7
Package-Manager: Portage-2.3.88, Repoman-2.3.20 Signed-off-by: Miroslav Šulc <fordfrog@gentoo.org>
Diffstat (limited to 'www-servers/tomcat')
-rw-r--r--www-servers/tomcat/Manifest1
-rw-r--r--www-servers/tomcat/files/tomcat-7.0.99-build.xml.patch163
-rw-r--r--www-servers/tomcat/tomcat-7.0.99.ebuild146
3 files changed, 310 insertions, 0 deletions
diff --git a/www-servers/tomcat/Manifest b/www-servers/tomcat/Manifest
index 939f324b27c..07d17aa1390 100644
--- a/www-servers/tomcat/Manifest
+++ b/www-servers/tomcat/Manifest
@@ -1,4 +1,5 @@
DIST apache-tomcat-7.0.96-src.tar.gz 4983881 BLAKE2B d5b828b7a4e8a7a5ce793a15421fbd6b12b55918aa7c15bc8209b4c762d7f422a7315e4cbe9b4ae2da754b6d8493bc11ae6a5c99f11a1ac3b23473e05fa26c83 SHA512 5797e66fb9ce558340e08d3a4ccd372d912707aabd6177318781925dd35055902a0ecc3e50e677d76b0feea547cc8fc038bb83ae5de65d28680cb4c9582f60c0
+DIST apache-tomcat-7.0.99-src.tar.gz 5242549 BLAKE2B e24933364bae6ddd2b7aeec342f3bfe0293533e2513a34ec6e9b5b6da7ecc3c2fb1d88c1b49f470532d8db821a0b8f0821698d8ec52a6d88a7769cd86912a8bc SHA512 3148879d4a893167b9e60fd1ee6972fc9be8a5be97016ad1d86117c0cb681ac40702680bd21562a284f78aac327f0388e99af458cf1868a3b0ad5e31899b23c0
DIST apache-tomcat-8.5.47-src.tar.gz 5607118 BLAKE2B 3c326056f674032424d298c7581243a24dd01fae39b1ce7069b60e1bcf3d825de954164f643e887618c43c87d691bc41f942e73bf86b254b4c7dca9c68ce7cce SHA512 1513fdaf7751ee263d878cdfc05329bc4ee50e2f3aeea68e1d173a5f4d555ec59a43050222f013758f704967730dd25a64337cf1ba4365ab53b8730af87b4051
DIST apache-tomcat-9.0.27-src.tar.gz 5761278 BLAKE2B 7d4a65dfa43e0956a5dbb1dad3bf1aa475e7c503d3192ac24921d7cee9bd85379cd820ce693e8c583a7cab23263b0abfa960968d04d766764e222ba8c5bd97d4 SHA512 3f63cbd49f93e6a9d44ea63b4f787cf498930b82d19eaf60603c126b8800d2894d306c27e42ab73b042f3bba9cfb75b6c939b91b8b9141e4903eb1b88c2a4ec8
DIST apache-tomcat-9.0.7-src.tar.gz 5106551 BLAKE2B b4552146a40c2e7cbb2e454fb5ec9169425db5c08cf269c391ec3144425ad388a2b6f003a7c05f59a9fd724fb5c848102890a24fcfd43d5fea3d881141aa7798 SHA512 cb7dc5547671d94f7c7fb0b58eeb94d05128349cdabf576fc8ad837a4bf3ea655a8eab3342245dfa84a9db23f1cbee2918846eedd48e3ca372eecebfef13c5b2
diff --git a/www-servers/tomcat/files/tomcat-7.0.99-build.xml.patch b/www-servers/tomcat/files/tomcat-7.0.99-build.xml.patch
new file mode 100644
index 00000000000..29cf6c2e403
--- /dev/null
+++ b/www-servers/tomcat/files/tomcat-7.0.99-build.xml.patch
@@ -0,0 +1,163 @@
+diff --git a/build.xml b/build.xml
+index dbad7cb..101bc57 100644
+--- a/build.xml
++++ b/build.xml
+@@ -715,12 +715,14 @@
+ </fileset>
+ </copy>
+ <!-- Copy JSP Schemas and DTDs to be packed into servlet-api.jar -->
++<!--
+ <copy todir="${tomcat.classes}/javax/servlet/resources" encoding="ISO-8859-1">
+ <fileset dir="${tomcat.classes}/javax/servlet/jsp/resources">
+ <include name="*" />
+ <exclude name="jspxml*" />
+ </fileset>
+ </copy>
++-->
+
+ <!-- Convert the message files from UTF-8 to ASCII. This can be removed
+ after upgrading to Java 9+ as the minimum JRE and specifying the encoding
+@@ -776,26 +778,32 @@
+ manifest="${tomcat.manifests}/annotations-api.jar.manifest" />
+
+ <!-- Servlet 3.0 Implementation JAR File -->
++<!--
+ <jarIt jarfile="${servlet-api.jar}"
+ filesDir="${tomcat.classes}"
+ filesId="files.servlet-api"
+ manifest="${tomcat.manifests}/servlet-api.jar.manifest"
+ notice="${tomcat.manifests}/servlet-api.jar.notice"
+ license="${tomcat.manifests}/servlet-api.jar.license" />
++-->
+
+ <!-- JSP 2.2 Implementation JAR File -->
++<!--
+ <jarIt jarfile="${jsp-api.jar}"
+ filesDir="${tomcat.classes}"
+ filesId="files.jsp-api"
+ manifest="${tomcat.manifests}/jsp-api.jar.manifest"
+ notice="${tomcat.manifests}/jsp-api.jar.notice"
+ license="${tomcat.manifests}/jsp-api.jar.license" />
++-->
+
+ <!-- JSP 2.2 EL Implementation JAR File -->
++<!--
+ <jarIt jarfile="${el-api.jar}"
+ filesDir="${tomcat.classes}"
+ filesId="files.el-api"
+ manifest="${tomcat.manifests}/el-api.jar.manifest" />
++-->
+
+ <!-- Bootstrap JAR File -->
+ <jarIt jarfile="${bootstrap.jar}"
+@@ -854,9 +862,9 @@
+ filesId="files.jasper-el" />
+
+ <!-- Re-packaged Apache Commons DBCP 1-->
+- <jarIt jarfile="${tomcat-dbcp.jar}"
++<!-- <jarIt jarfile="${tomcat-dbcp.jar}"
+ filesDir="${tomcat.classes}"
+- filesId="files.tomcat-dbcp" />
++ filesId="files.tomcat-dbcp" /> -->
+
+ <!-- i18n JARs -->
+ <jar jarfile="${tomcat.build}/lib/tomcat-i18n-de.jar"
+@@ -1087,9 +1095,9 @@
+
+ <target name="deploy" depends="package,build-docs,compile-webapp-examples"
+ description="Default. Builds a working Tomcat instance">
+-
++<!--
+ <copy tofile="${tomcat.build}/bin/commons-daemon.jar" file="${commons-daemon.jar}" />
+-
++-->
+ <!-- Copy scripts -->
+ <copy todir="${tomcat.build}/bin">
+ <fileset dir="bin">
+@@ -1149,7 +1157,7 @@
+ <exclude name="${jdt.jar.filename}"/>
+ </fileset>
+ </delete>
+- <copy file="${jdt.jar}" todir="${tomcat.build}/lib"/>
++<!-- <copy file="${jdt.jar}" todir="${tomcat.build}/lib"/> -->
+
+ <!-- Add sources for examples -->
+ <antcall target="examples-sources" />
+@@ -1839,7 +1847,7 @@
+
+ <target name="extras-webservices-prepare"
+ depends="extras-prepare"
+- description="Prepare to build web services extras package">
++ description="Prepare to build web services extras package" unless="noget">
+
+ <antcall target="downloadfile">
+ <param name="sourcefile" value="${jaxrpc-lib.loc}"/>
+@@ -2034,11 +2042,12 @@
+ </copy>
+
+ <!-- Source bundles for native components -->
++<!--
+ <copy tofile="${tomcat.dist}/bin/tomcat-native.tar.gz"
+ file="${tomcat-native.tar.gz}" />
+ <copy tofile="${tomcat.dist}/bin/commons-daemon-native.tar.gz"
+ file="${commons-daemon.native.src.tgz}" />
+-
++-->
+ <!-- platform README files -->
+ <echo append="false" file="${tomcat.dist}/bin/x64/README">
+ Apache Tomcat ${version} native binaries for Win64 AMD64/EMT64 platform.
+@@ -2070,6 +2079,7 @@ Apache Tomcat ${version} native binaries for Win64 AMD64/EMT64 platform.
+ <path location="${ant.core.lib}"/>
+ </classpath>
+ </javadoc>
++<!--
+ <javadoc packagenames="javax.servlet.*"
+ excludepackagenames="javax.servlet.jsp.*"
+ sourcepath="${tomcat.dist}/src/java"
+@@ -2137,6 +2147,7 @@ Apache Tomcat ${version} native binaries for Win64 AMD64/EMT64 platform.
+ <path location="${ant.core.lib}"/>
+ </classpath>
+ </javadoc>
++-->
+ <javadoc packagenames="javax.websocket.*"
+ sourcepath="${tomcat.dist}/src/java"
+ destdir="${tomcat.dist}/webapps/docs/websocketapi"
+@@ -2181,9 +2192,11 @@ Apache Tomcat ${version} native binaries for Win64 AMD64/EMT64 platform.
+ <path location="${ant.core.lib}"/>
+ </classpath>
+ <link href="../annotationapi"/>
++<!--
+ <link href="../servletapi"/>
+ <link href="../jspapi"/>
+ <link href="../elapi"/>
++-->
+ <link href="../websocketapi"/>
+ <link href="https://docs.oracle.com/javase/7/docs/api/"/>
+ <link href="https://docs.oracle.com/javaee/6/api/"/>
+@@ -2889,7 +2902,7 @@ skip.installer property in build.properties" />
+ </target>
+
+ <target name="download-compile"
+- description="Download components necessary to compile" >
++ description="Download components necessary to compile" unless="noget" >
+
+ <!-- Download Commons Daemon -->
+ <antcall target="downloadgz-2">
+@@ -2925,7 +2938,7 @@ skip.installer property in build.properties" />
+ </target>
+
+ <target name="download-test-compile"
+- description="Download additional components for the tests" >
++ description="Download additional components for the tests" unless="noget">
+
+ <antcall target="downloadfile">
+ <param name="sourcefile" value="${junit.loc}"/>
+@@ -2989,7 +3002,7 @@ skip.installer property in build.properties" />
+ </target>
+
+ <target name="download-dist"
+- description="Download additional components for a distribution" >
++ description="Download additional components for a distribution" unless="noget">
+
+ <antcall target="downloadfile-2">
+ <param name="sourcefile.1" value="${tomcat-native.loc.1}"/>
diff --git a/www-servers/tomcat/tomcat-7.0.99.ebuild b/www-servers/tomcat/tomcat-7.0.99.ebuild
new file mode 100644
index 00000000000..7fa74915d25
--- /dev/null
+++ b/www-servers/tomcat/tomcat-7.0.99.ebuild
@@ -0,0 +1,146 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+JAVA_PKG_IUSE="doc source test"
+
+inherit eutils java-pkg-2 java-ant-2 prefix user
+
+MY_P="apache-${P}-src"
+
+DESCRIPTION="Tomcat Servlet-3.0/JSP-2.2 Container"
+HOMEPAGE="https://tomcat.apache.org/"
+SRC_URI="mirror://apache/${PN}/tomcat-7/v${PV}/src/${MY_P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="7"
+KEYWORDS="~amd64 ~ppc64 ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
+IUSE="extra-webapps websockets"
+
+RESTRICT="test" # can we run them on a production system?
+
+ECJ_SLOT="4.5"
+SAPI_SLOT="3.0"
+
+COMMON_DEP="dev-java/eclipse-ecj:${ECJ_SLOT}
+ dev-java/tomcat-servlet-api:${SAPI_SLOT}"
+RDEPEND="${COMMON_DEP}
+ virtual/jre"
+DEPEND="${COMMON_DEP}
+ virtual/jdk:1.8
+ test? ( dev-java/ant-junit:0 )"
+
+S=${WORKDIR}/${MY_P}
+
+pkg_setup() {
+ java-pkg-2_pkg_setup
+ enewgroup tomcat 265
+ enewuser tomcat 265 -1 /dev/null tomcat
+}
+
+src_prepare() {
+ default
+
+ # Remove bundled servlet-api
+ rm -rv java/javax/{el,servlet} || die
+
+ java-pkg_clean
+
+ eapply "${FILESDIR}/${P}-build.xml.patch"
+
+ # For use of catalina.sh in netbeans
+ sed -i -e "/^# ----- Execute The Requested Command/ a\
+ CLASSPATH=\`java-config --classpath ${PN}-${SLOT}\`" \
+ bin/catalina.sh || die
+
+ java-pkg-2_src_prepare
+}
+
+JAVA_ANT_REWRITE_CLASSPATH="true"
+
+EANT_BUILD_TARGET="deploy"
+EANT_GENTOO_CLASSPATH="eclipse-ecj-${ECJ_SLOT},tomcat-servlet-api-${SAPI_SLOT}"
+EANT_GENTOO_CLASSPATH_EXTRA="${S}/output/classes"
+EANT_NEEDS_TOOLS="true"
+EANT_EXTRA_ARGS="-Dversion=${PV}-gentoo -Dversion.number=${PV} -Dcompile.debug=false"
+
+# revisions of the scripts
+IM_REV="-r1"
+INIT_REV="-r1"
+
+src_compile() {
+ use websockets && EANT_EXTRA_ARGS+=" -Djava.7.home=${JAVA_HOME}"
+ EANT_GENTOO_CLASSPATH_EXTRA+=":$(java-pkg_getjar --build-only ant-core ant.jar)"
+ java-pkg-2_src_compile
+}
+
+src_test() {
+ java-pkg-2_src_test
+}
+
+src_install() {
+ local dest="/usr/share/${PN}-${SLOT}"
+
+ java-pkg_jarinto "${dest}"/bin
+ java-pkg_dojar output/build/bin/*.jar
+ exeinto "${dest}"/bin
+ doexe output/build/bin/*.sh
+
+ java-pkg_jarinto "${dest}"/lib
+ java-pkg_dojar output/build/lib/*.jar
+
+ dodoc RELEASE-NOTES RUNNING.txt
+ use doc && java-pkg_dojavadoc output/dist/webapps/docs/api
+ use source && java-pkg_dosrc java/*
+
+ ### Webapps ###
+
+ insinto "${dest}"/webapps
+ doins -r output/build/webapps/{host-manager,manager,ROOT}
+ use extra-webapps && doins -r output/build/webapps/{docs,examples}
+
+ ### Config ###
+
+ # create "logs" directory in $CATALINA_BASE
+ # and set correct perms, see #458890
+ dodir "${dest}"/logs
+ fperms 0750 "${dest}"/logs
+
+ # replace the default pw with a random one, see #92281
+ local randpw=$(echo ${RANDOM}|md5sum|cut -c 1-15)
+ sed -i -e "s|SHUTDOWN|${randpw}|" output/build/conf/server.xml || die
+
+ # prepend gentoo.classpath to common.loader, see #453212
+ sed -i -e 's/^common\.loader=/\0${gentoo.classpath},/' output/build/conf/catalina.properties || die
+
+ insinto "${dest}"
+ doins -r output/build/conf
+
+ ### rc ###
+
+ cp "${FILESDIR}"/tomcat{.conf,${INIT_REV}.init,-instance-manager${IM_REV}.bash} "${T}" || die
+ eprefixify "${T}"/tomcat{.conf,${INIT_REV}.init,-instance-manager${IM_REV}.bash}
+ sed -i -e "s|@SLOT@|${SLOT}|g" "${T}"/tomcat{.conf,${INIT_REV}.init,-instance-manager${IM_REV}.bash} || die
+
+ insinto "${dest}"/gentoo
+ doins "${T}"/tomcat.conf
+ exeinto "${dest}"/gentoo
+ newexe "${T}"/tomcat${INIT_REV}.init tomcat.init
+ newexe "${T}"/tomcat-instance-manager${IM_REV}.bash tomcat-instance-manager.bash
+}
+
+pkg_postinst() {
+ elog "New ebuilds of Tomcat support running multiple instances. If you used prior version"
+ elog "of Tomcat (<7.0.32), you have to migrate your existing instance to work with new Tomcat."
+ elog "You can find more information at https://wiki.gentoo.org/wiki/Apache_Tomcat"
+
+ elog "To manage Tomcat instances, run:"
+ elog " ${EPREFIX}/usr/share/${PN}-${SLOT}/gentoo/tomcat-instance-manager.bash --help"
+
+ ewarn "tomcat-dbcp.jar is not built at this time. Please fetch jar"
+ ewarn "from upstream binary if you need it. Gentoo Bug # 144276"
+
+ einfo "Please read https://wiki.gentoo.org/wiki/Apache_Tomcat and"
+ einfo "https://wiki.gentoo.org/wiki/Project:Java/Tomcat_6_Guide for more information."
+}